Subject: bug#11339: closed (Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Nov 2019 16:22:03 +0000

Your bug report

#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11339: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii
From: Eli Zaretskii <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 04 Nov 2019 18:21:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 04 Nov 2019 14:39:25 +0100
> 
> > I hope I fixed this now, please try the latest master.
> 
> I've now updated and, the above bug is now fixed; thanks.

Thanks, I'm closing this bug.

> However, there seems to be some unintended fallout:
> 
> 0. emacs -Q
> 1. M-: (setq read-buffer-completion-ignore-case t read-file-name-completion-ignore-case t)
> 2. M-x cd RET RET => args-out-of-range error (backtrace attached)

This is bug#38056, which I just fixed.  It was caused by a thinko on
my part.

Subject: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Wed, 25 Apr 2012 17:37:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

-1. cd /tmp; touch bäh bÄh bla
0. emacs -Q
1. M-x customize-option RET read-buffer-completion-ignore-case RET.
   Toggle to "on", set for the current session.
   M-x customize-option RET read-file-name-completion-ignore-case RET.
   Toggle to "on", set for the current session.
2. C-x C-f b TAB => *Completions* buffer contains, as expected: bla bÄh bäh.         
3. Visit files `bla', `bäh' and `bÄh', switch to buffer *scratch* and
   repeat step 2, replacing `C-x C-f' with `C-x b' => same results.
4. C-x C-f bä TAB => Emacs completes the input to "bäh".               
5. TAB => Emacs incorrectly reports: "[Sole completion]".                 
6. C-x C-f bÄ TAB => Emacs completes the input to "bÄh".
7. TAB => Emacs incorrectly reports: "[Sole completion]".                 
8. Switch to buffer *scratch* and repeat step 4-7, replacing `C-x C-f'
   with `C-x b' => same results.

In GNU Emacs 24.1.50.1 (i686-suse-linux-gnu, GTK+ Version 2.24.7)
 of 2012-04-18 on escher
Bzr revision: 107959 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Configured using:
 `configure '--without-toolkit-scroll-bars' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t